List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/warehouses \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/warehouses"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/warehouses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/warehouses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 4961,
"name": "Deposito SIMA",
"description": "",
"external_code": "183",
"external_reference": "Deposito gral",
"created_at": "2021-10-18T11:12:01-03:00",
"modified_at": "2021-10-18T11:12:01-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4962,
"name": "Granos",
"description": "",
"external_code": "GRA",
"external_reference": null,
"created_at": "2021-10-18T11:12:01-03:00",
"modified_at": "2021-10-18T11:12:01-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4963,
"name": "Insumos controla stock",
"description": "",
"external_code": "182",
"external_reference": "INS_C",
"created_at": "2021-10-18T11:12:01-03:00",
"modified_at": "2021-10-18T11:12:01-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4964,
"name": "Insumos no controla stock",
"description": "",
"external_code": "180",
"external_reference": "INS_N",
"created_at": "2021-10-18T11:12:01-03:00",
"modified_at": "2021-10-18T11:12:01-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4965,
"name": "Galpón 2",
"description": "",
"external_code": "SUP",
"external_reference": null,
"created_at": "2021-10-18T11:12:01-03:00",
"modified_at": "2021-10-18T11:12:01-03:00",
"deleted_at": null,
"active": false
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 16,
"total_items": 78
}Version 3 > Warehouses
List
GET
/
api
/
v3
/
third_party
/
warehouses
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

